# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.80.0"
name = "clerk-report"
version = "0.4.0"
build = false
include = [
    "fixtures",
    "src",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Verification of attested YAXI system versions"
homepage = "https://yaxi.tech/"
readme = false
license = "Apache-2.0"

[features]
signing = ["ed25519-dalek/rand_core"]
test-signing-keys = []
utoipa = ["dep:utoipa"]

[lib]
name = "clerk_report"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.der]
version = "0.7.5"
features = ["alloc"]

[dependencies.ecdsa]
version = "0.16"
features = [
    "pkcs8",
    "verifying",
]

[dependencies.ed25519-dalek]
version = "2"

[dependencies.oid-registry]
version = "0.8"

[dependencies.p384]
version = "0.13"
features = [
    "ecdsa",
    "sha384",
]

[dependencies.pkcs8]
version = "0.10"

[dependencies.rsa]
version = "0.9"

[dependencies.serde]
version = "1.0.152"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.91"

[dependencies.serde_with]
version = "3"
features = [
    "base64",
    "hex",
]

[dependencies.sev]
version = "7.1"
features = ["snp"]
default-features = false

[dependencies.sha2]
version = "0.10.6"

[dependencies.thiserror]
version = "2"

[dependencies.utoipa]
version = "5.0.0-alpha"
features = ["chrono"]
optional = true

[dependencies.x509-parser]
version = "0.18"

[dev-dependencies.ed25519-dalek]
version = "2"
features = ["rand_core"]

[dev-dependencies.hex]
version = "0.4.3"

[dev-dependencies.rand_core]
version = "0.6"
features = ["getrandom"]
